
#edit these values
HOST = "192.168.1.6"               # Symbolic name meaning all available interfaces
PORT = 50007              # Arbitrary non-privileged port
left_screen = 1280, 1024 # Resolution: width, height
right_screen = 1024, 768
offsets = 0, 0 # How many pixels to shift each image vertically (if you have monitors at different resolutions bottom-aligned)
image_dir =  '/var/www/merge/' # Must be writable
size=2304,1024
#


oss="win"

try:
	import pythoncom  
	from win32com.shell import shell, shellcon  
	import sys


except ImportError:
	print "Modules WINDOWS FAIL!!!"
	oss="linux"	
	
	#exit(1) 

import socket
from subprocess import *
import os, random, Image, mimetypes
random.seed()

s = None
for res in socket.getaddrinfo(HOST, PORT, socket.AF_UNSPEC,
                              socket.SOCK_STREAM, 0, socket.AI_PASSIVE):
    af, socktype, proto, canonname, sa = res
    try:
        s = socket.socket(af, socktype, proto)
    except socket.error, msg:
        s = None
        continue
    try:
        s.bind(sa)
        s.listen(1)
    except socket.error, msg:
        s.close()
        s = None
        continue
    break
if s is None:
    print 'could not open socket'
    exit(1)
running=True
while running:

    conn, addr = s.accept()
    print 'Connected by', addr
 	
    try:
        data = conn.recv(1024)
    except KeyboardInterrupt:
	conn.close()
	running=False    
	if not data: break
    else:
	    
	#print 'IMG',`data`
	#print oss
       	
	if oss=="win":
	
		imagePath = "C:\\Program Files\\wamp\\www\\merge\\"+data
		iad = pythoncom.CoCreateInstance(shell.CLSID_ActiveDesktop, None, pythoncom.CLSCTX_INPROC_SERVER, shell.IID_IActiveDesktop)  
		iad.SetWallpaper(imagePath, 0)  
		iad.SetWallpaperOptions(2,0);
		iad.ApplyChanges(shellcon.AD_APPLY_ALL)  
		
	if oss=="linux":

		left_image= image_dir+data
		right_image= image_dir+data

# Opens and scales images
# If only one of your monitors is 4:3, you might want to delete the ".resize(left/right_screen)" part for that monitor
		dual_image = Image.new('RGB', size)
		left_image = Image.open(left_image).resize(left_screen)
		right_image = Image.open(right_image).resize(right_screen)

# Combines images
		dual_image.paste(left_image, (0, offsets[0]))
		dual_image.paste(right_image, (left_screen[0], offsets[1]))

# Saves combined image in your wallpapers folder
		dual_image.save(image_dir + 'gb.jpg')

		os.system("fbsetbg "+image_dir+"gb.jpg") 
	
	conn.close()
	#running=False  
    
s.close()     

